Hello all :)

I want to compile the latest version and have no luck with that on debian 
lenny and ubuntu jaunty. Doing make install gives:


.......
sr/transport.h:37: error: field 'list' has incomplete type
usr/transport.h:41: error: field 'sessions' has incomplete type
In file included from usr/iscsi_sysfs.h:22,
                 from usr/iscsid.c:43:
usr/sysfs.h:33: error: field 'node' has incomplete type
In file included from usr/iscsid.c:45:
usr/session_info.h:13: error: field 'list' has incomplete type
usr/iscsid.c:46:21: error: sysdeps.h: No such file or directory
usr/iscsid.c: In function 'sync_session':
usr/iscsid.c:198: error: 'CAP_FW_DB' undeclared (first use in this function)
usr/iscsid.c:198: error: (Each undeclared identifier is reported only once
usr/iscsid.c:198: error: for each function it appears in.)
make: *** [usr/iscsid] Error 1


Kernel
Linux monster 2.6.28-13-server #44-Ubuntu SMP Tue Jun 2 08:40:28 UTC 2009 
x86_64 GNU/Linux


What Im doing wrong? The readmes seems to be outdated. 
Is there anywhere an actually readme/ howto for compiling it?

Can someone help?

tia
stefan

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"open-iscsi" group.
To post to this group, send email to open-iscsi@googlegroups.com
To unsubscribe from this group, send email to 
open-iscsi+unsubscr...@googlegroups.com
For more options, visit this group at http://groups.google.com/group/open-iscsi
-~----------~----~----~----~------~----~------~--~---

Reply via email to